# Security

GSM_Error GSM_EnterSecurityCode(GSM_StateMachine *s, GSM_SecurityCode *Code)

  Enters security code (PIN, PUK,…) .

GSM_Error GSM_GetSecurityStatus(GSM_StateMachine *s, GSM_SecurityCodeType *Status)

  Queries whether some security code needs to be entered.

enum GSM_SecurityCodeType

  Definition of security codes.

  Values:

  enumerator SEC_SecurityCode

    Security code.

  enumerator SEC_Pin

    PIN.

  enumerator SEC_Pin2

    PIN 2.

  enumerator SEC_Puk

    PUK.

  enumerator SEC_Puk2

    PUK 2.

  enumerator SEC_None

    Code not needed.

  enumerator SEC_Phone

    Phone code needed.

  enumerator SEC_Network

    Network code needed.

struct GSM_SecurityCode

  Security code definition.

  Public Members

  GSM_SecurityCodeType Type

    Type of the code.

  char Code[GSM_SECURITY_CODE_LEN + 1]

    Actual code.

  char NewPIN[GSM_SECURITY_CODE_LEN + 1]

    New PIN code.

    Some phones require to set PIN on entering PUK, you can provide it here.